FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » FUDforum » FUDforum Installation Issues » Upgrade from 3.0.1 to 3.0.7 Fails
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
Upgrade from 3.0.1 to 3.0.7 Fails [message #187159] Wed, 10 August 2016 06:04 Go to next message
Multitool is currently offline  Multitool   United Kingdom
Messages: 47
Registered: February 2012
Karma: 1
Member
add to buddy list
ignore all messages by this user
upgrade.php script fails as follows:

SQL upgrades completed. 
PHP Fatal error:  Call to undefined function q_limit() in /var/www/html/forum/upgrade.php on line 1026
Fatal error: Call to undefined function q_limit() in /var/www/html/forum/upgrade.php on line 1026

When I try to log in as admin from a web browser, I get 500 Internal Server Error, and the following in the web server log:

[Wed Aug 10 10:34:01 2016] [error] [client <client-ip>] PHP Fatal error:  Call to undefined function q_bitand() in /var/www/html/forum/adm/admloginuser.php on line 21, referer: https://<server-hostname>/forum/adm/admloginuser.php
Any suggestions?
Re: Upgrade from 3.0.1 to 3.0.7 Fails [message #187160 is a reply to message #187159] Wed, 10 August 2016 14:10 Go to previous messageGo to next message
naudefj is currently offline  naudefj   
Messages: 3680
Registered: December 2004
Karma: 19
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Have you re-tried the upgrade? If all else fails, define it in the upgrade script.
function q_limit($query, $limit, $off=0) {
        return $query .' LIMIT '. $limit .' OFFSET '. $off;
}

[Updated on: Wed, 10 August 2016 14:11]

Report message to a moderator

Re: Upgrade from 3.0.1 to 3.0.7 Fails [message #187162 is a reply to message #187160] Thu, 11 August 2016 05:02 Go to previous messageGo to next message
Multitool is currently offline  Multitool   United Kingdom
Messages: 47
Registered: February 2012
Karma: 1
Member
add to buddy list
ignore all messages by this user
Thanks! Re-running the upgrade.php script appears to have completed the upgrade successfully. Now I just need to re-do all the hacks I'd done on 3.0.1 to make it work with our NNTP server Sad

One other comment - when I ran the script from a web browser, because the database updates took so long to complete (about 4 hours), the browser timed-out and didn't show any of the script output. (I ran it from the command-line to see the output.)

Re: Upgrade from 3.0.1 to 3.0.7 Fails [message #187167 is a reply to message #187162] Fri, 12 August 2016 04:51 Go to previous messageGo to next message
naudefj is currently offline  naudefj   South Africa
Messages: 3680
Registered: December 2004
Karma: 19
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
If it ran for 4 hours, there's something wrong with your DB. A bit of performance tuning may be in order.
Re: Upgrade from 3.0.1 to 3.0.7 Fails [message #187169 is a reply to message #187167] Fri, 12 August 2016 07:07 Go to previous messageGo to next message
Multitool is currently offline  Multitool   United Kingdom
Messages: 47
Registered: February 2012
Karma: 1
Member
add to buddy list
ignore all messages by this user
naudefj wrote on Fri, 12 August 2016 09:51
If it ran for 4 hours, there's something wrong with your DB. A bit of performance tuning may be in order.
Or it's just a big database Smile

Aw: Re: Upgrade from 3.0.1 to 3.0.7 Fails [message #187172 is a reply to message #187169] Sun, 14 August 2016 14:14 Go to previous messageGo to next message
alopezie is currently offline  alopezie   Germany
Messages: 98
Registered: September 2003
Karma: 1
Member
add to buddy list
ignore all messages by this user
[quote title=Multitool
Or it's just a big database Smile

[/quote]

Don´t really think so ... I have around half a million posts, and it doesn´t take long todo upgrades.
What are the specs of your server ??


Alopezie.de - das Forum zum Thema Haarausfall
Re: Aw: Re: Upgrade from 3.0.1 to 3.0.7 Fails [message #187190 is a reply to message #187172] Fri, 26 August 2016 05:56 Go to previous message
Multitool is currently offline  Multitool   United Kingdom
Messages: 47
Registered: February 2012
Karma: 1
Member
add to buddy list
ignore all messages by this user
alopezie wrote on Sun, 14 August 2016 19:14

Don´t really think so ... I have around half a million posts, and it doesn´t take long todo upgrades.
What are the specs of your server ??
The server I used for the upgrade was an HP ProLiant DL380p Gen8 with 64GB RAM
OS is Oracle Enterprise Linux 5.6
"users have posted a total of 1313989 messages inside 174920 topics"

Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: I need help to install fudforum under Firebird
Next Topic: Forum files do not unpack
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Mon Sep 24 19:51:20 EDT 2018

Total time taken to generate the page: 0.00687 seconds